import request from '@/utils/request'

// 订单列表
export function apiOrderLists(params: any) {
    return request.post({ url: '/order/list', params })
}

// 订单详情
export function apiOrderDetail(params: any) {
    return request.get({ url: '/order/detail', params })
}

// 订单取消
export function apiOrderCancel(params: any) {
    return request.post({ url: '/order/cancel', params })
}

// 订单商家备注
export function apiOrderRemark(params: any) {
    return request.get({ url: '/order/remark', params })
}

// 订单商家备注详情
export function apiOrderRemarkDetail(params: any) {
    return request.get({ url: '/order.order/remarkDetail', params })
}

// 订单删除
export function apiOrderDel(params: any) {
    return request.get({ url: '/order/del', params })
}

// 统计订单状态数据
export function apiOrderStatis(params: any) {
    return request.get({ url: '/order/statistics', params })
}

// 订单核销
export function apiOrderVerification(params: any) {
    return request.get({ url: '/order/verification', params })
}

// 师傅列表
export function apiMasterLists(params: any) {
    return request.post({ url: '/staff/list', params })
}

// 指派师傅
export function apiDispatchStaff(params: any) {
    return request.get({ url: '/order/dispatch', params })
}
// 重新指派师傅获取分数
export function apiDispatchStaffScore(params: any) {
    return request.get({ url: '/cancel/order/config/getCancelOrderConfigByOrder', params })
}

// 确认服务
export function apiConfirmService(params: any) {
    return request.post({ url: '/order/staff/confirm', params })
}
